gtkmm: Gtk::Settings Class Reference

gtkmm 2.24.5

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::Settings Class Reference

Sharing settings between applications. More...

Inheritance diagram for Gtk::Settings:
[legend]
Collaboration diagram for Gtk::Settings:
[legend]

## Public Member Functions
| Settings (Settings&& src) noexcept
Settings& | operator= (Settings&& src) noexcept
| ~Settings () noexcept override
GtkSettings* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSettings* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< int > | property_gtk_double_click_time ()
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds). More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_time () const
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds). More...
Glib::PropertyProxy< int > | property_gtk_double_click_distance ()
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels). More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_distance () const
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels). More...
Glib::PropertyProxy< bool > | property_gtk_cursor_blink ()
| Whether the cursor should blink. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_cursor_blink () const
| Whether the cursor should blink. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_time ()
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_time () const
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy< bool > | property_gtk_split_cursor ()
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_split_cursor () const
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_theme_name ()
| Name of theme RC file to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_theme_name () const
| Name of theme RC file to load. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_key_theme_name ()
| Name of key theme RC file to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_key_theme_name () const
| Name of key theme RC file to load. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_menu_bar_accel ()
| Keybinding to activate the menu bar. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_menu_bar_accel () const
| Keybinding to activate the menu bar. More...
Glib::PropertyProxy< int > | property_gtk_dnd_drag_threshold ()
| Number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_dnd_drag_threshold () const
| Number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_font_name ()
| Name of default font to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_font_name () const
| Name of default font to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_modules ()
| List of currently active GTK modules. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_modules () const
| List of currently active GTK modules. More...
Glib::PropertyProxy< int > | property_gtk_xft_antialias ()
| Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_antialias () const
| Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy< int > | property_gtk_xft_hinting ()
| Whether to hint Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_hinting () const
| Whether to hint Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_hintstyle ()
| What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_hintstyle () const
| What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_rgba ()
| Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_rgba () const
| Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. More...
Glib::PropertyProxy< int > | property_gtk_xft_dpi ()
| Resolution for Xft, in 1024 * dots/inch. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_dpi () const
| Resolution for Xft, in 1024 * dots/inch. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_cursor_theme_name ()
| Name of the cursor theme to use, or NULL to use the default theme. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_cursor_theme_name () const
| Name of the cursor theme to use, or NULL to use the default theme. More...
Glib::PropertyProxy< int > | property_gtk_cursor_theme_size ()
| Size to use for cursors, or 0 to use the default size. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_theme_size () const
| Size to use for cursors, or 0 to use the default size. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_button_order ()
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_button_order () const
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_sort_arrows ()
| Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending). More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_sort_arrows () const
| Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending). More...
Glib::PropertyProxy< bool > | property_gtk_show_input_method_menu ()
| Whether the context menus of entries and text views should offer to change the input method. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_show_input_method_menu () const
| Whether the context menus of entries and text views should offer to change the input method. More...
Glib::PropertyProxy< bool > | property_gtk_show_unicode_menu ()
| Whether the context menus of entries and text views should offer to insert control characters. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_show_unicode_menu () const
| Whether the context menus of entries and text views should offer to insert control characters. More...
Glib::PropertyProxy< int > | property_gtk_timeout_initial ()
| Starting value for timeouts, when button is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_initial () const
| Starting value for timeouts, when button is pressed. More...
Glib::PropertyProxy< int > | property_gtk_timeout_repeat ()
| Repeat value for timeouts, when button is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_repeat () const
| Repeat value for timeouts, when button is pressed. More...
Glib::PropertyProxy< int > | property_gtk_timeout_expand ()
| Expand value for timeouts, when a widget is expanding a new region. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_expand () const
| Expand value for timeouts, when a widget is expanding a new region. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_color_scheme ()
| A palette of named colors for use in themes. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_scheme () const
| A palette of named colors for use in themes. More...
Glib::PropertyProxy< bool > | property_gtk_enable_animations ()
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_animations () const
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy< bool > | property_gtk_touchscreen_mode ()
| When TRUE, there are no motion notify events delivered on this screen. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_touchscreen_mode () const
| When TRUE, there are no motion notify events delivered on this screen. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_timeout ()
| Timeout before tooltip is shown. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_timeout () const
| Timeout before tooltip is shown. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_timeout ()
| Timeout before tooltip is shown when browse mode is enabled. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_timeout () const
| Timeout before tooltip is shown when browse mode is enabled. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_mode_timeout ()
| Timeout after which browse mode is disabled. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_mode_timeout () const
| Timeout after which browse mode is disabled. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_cursor_only ()
| When TRUE, there are only cursor keys available to navigate widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_cursor_only () const
| When TRUE, there are only cursor keys available to navigate widgets. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_wrap_around ()
| Whether to wrap around when keyboard-navigating widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_wrap_around () const
| Whether to wrap around when keyboard-navigating widgets. More...
Glib::PropertyProxy< bool > | property_gtk_error_bell ()
| When TRUE, keyboard navigation and other errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_error_bell () const
| When TRUE, keyboard navigation and other errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_color_hash () const
| A hash table representation of the color scheme. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_file_chooser_backend ()
| Name of the GtkFileChooser backend to use by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_file_chooser_backend () const
| Name of the GtkFileChooser backend to use by default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_backends ()
| List of the GtkPrintBackend backends to use by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_backends () const
| List of the GtkPrintBackend backends to use by default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_preview_command ()
| Command to run when displaying a print preview. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_preview_command () const
| Command to run when displaying a print preview. More...
Glib::PropertyProxy< bool > | property_gtk_enable_mnemonics ()
| Whether labels should have mnemonics. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_mnemonics () const
| Whether labels should have mnemonics. More...
Glib::PropertyProxy< bool > | property_gtk_enable_accels ()
| Whether menu items should have accelerators. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_accels () const
| Whether menu items should have accelerators. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_limit ()
| Number of recently used files. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_limit () const
| Number of recently used files. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_im_module ()
| Which IM module should be used by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_im_module () const
| Which IM module should be used by default. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_max_age ()
| Maximum age of recently used files, in days. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_max_age () const
| Maximum age of recently used files, in days. More...
Glib::PropertyProxy< int > | property_gtk_fontconfig_timestamp ()
| Timestamp of current fontconfig configuration. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_fontconfig_timestamp () const
| Timestamp of current fontconfig configuration. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_sound_theme_name ()
| XDG sound theme name. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_sound_theme_name () const
| XDG sound theme name. More...
Glib::PropertyProxy< bool > | property_gtk_enable_input_feedback_sounds ()
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_input_feedback_sounds () const
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy< bool > | property_gtk_enable_event_sounds ()
| Whether to play any event sounds at all. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_event_sounds () const
| Whether to play any event sounds at all. More...
Glib::PropertyProxy< bool > | property_gtk_enable_tooltips ()
| Whether tooltips should be shown on widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_tooltips () const
| Whether tooltips should be shown on widgets. More...
Glib::PropertyProxy< ToolbarStyle > | property_gtk_toolbar_style ()
Glib::PropertyProxy_ReadOnly< ToolbarStyle > | property_gtk_toolbar_style () const
Glib::PropertyProxy< IconSize > | property_gtk_toolbar_icon_size ()
Glib::PropertyProxy_ReadOnly< IconSize > | property_gtk_toolbar_icon_size () const
Glib::PropertyProxy< bool > | property_gtk_can_change_accels ()
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_can_change_accels () const
Glib::PropertyProxy< bool > | property_gtk_entry_select_on_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_entry_select_on_focus () const
Glib::PropertyProxy< Glib::ustring > | property_gtk_color_palette ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_palette () const
Glib::PropertyProxy< bool > | property_gtk_button_images ()
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_button_images () const
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_theme_name ()
| Name of icon theme to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_theme_name () const
| Name of icon theme to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_sizes ()
| List of icon sizes: gtk-menu=16,16:gtk-button=20,20... More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_sizes () const
| List of icon sizes: gtk-menu=16,16:gtk-button=20,20... More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Settings > | get_default ()
| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary. More...
static Glib::RefPtr< Settings > | get_for_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Gets the Gtk::Settings object for screen, creating it if necessary. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Settings > | wrap (GtkSettings* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Sharing settings between applications.

## Constructor & Destructor Documentation

## ◆ Settings()

Gtk::Settings::Settings | ( | Settings&& | src | ) |
| noexcept

## ◆ ~Settings()

Gtk::Settings::~Settings | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_default()

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) |
| static

Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.

See get_for_screen().

Returns
  A Gtk::Settings object. If there is no default screen, then returns `nullptr`.

## ◆ get_for_screen()

static Glib::RefPtr<Settings> Gtk::Settings::get_for_screen | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) |
| static

Gets the Gtk::Settings object for screen, creating it if necessary.

Since gtkmm 2.2:

Parameters

  screen | A Gdk::Screen.

Returns
  A Gtk::Settings object.

## ◆ get_type()

static GType Gtk::Settings::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSettings* Gtk::Settings::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Settings& Gtk::Settings::operator= | ( | Settings&& | src | ) |
| noexcept

## ◆ property_color_hash()

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::Settings::property_color_hash | ( |  | ) | const

A hash table representation of the color scheme.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_button_order() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) |

Whether buttons in dialogs should use the alternative button order.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_button_order() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) | const

Whether buttons in dialogs should use the alternative button order.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_sort_arrows() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) |

Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_sort_arrows() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) | const

Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_button_images() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_button_images | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_button_images() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_button_images | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_can_change_accels() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_can_change_accels | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_can_change_accels() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_can_change_accels | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_color_palette() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_color_palette | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_color_palette() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_color_palette | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_color_scheme() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_color_scheme | ( |  | ) |

A palette of named colors for use in themes.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_color_scheme() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_color_scheme | ( |  | ) | const

A palette of named colors for use in themes.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Whether the cursor should blink.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) | const

Whether the cursor should blink.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink_time() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Length of the cursor blink cycle, in milliseconds.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink_time() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) | const

Length of the cursor blink cycle, in milliseconds.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) |

Name of the cursor theme to use, or NULL to use the default theme.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) | const

Name of the cursor theme to use, or NULL to use the default theme.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_size() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) |

Size to use for cursors, or 0 to use the default size.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) | const

Size to use for cursors, or 0 to use the default size.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_dnd_drag_threshold() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) |

Number of pixels the cursor can move before dragging.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_dnd_drag_threshold() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) | const

Number of pixels the cursor can move before dragging.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_distance() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) |

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_distance() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) | const

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_time() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_time() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) | const

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_accels() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) |

Whether menu items should have accelerators.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_accels() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) | const

Whether menu items should have accelerators.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_animations() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) |

Whether to enable toolkit-wide animations.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_animations() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) | const

Whether to enable toolkit-wide animations.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_event_sounds() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) |

Whether to play any event sounds at all.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_event_sounds() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) | const

Whether to play any event sounds at all.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_input_feedback_sounds() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) |

Whether to play event sounds as feedback to user input.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_input_feedback_sounds() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) | const

Whether to play event sounds as feedback to user input.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_mnemonics() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) |

Whether labels should have mnemonics.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_mnemonics() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) | const

Whether labels should have mnemonics.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_tooltips() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) |

Whether tooltips should be shown on widgets.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_tooltips() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) | const

Whether tooltips should be shown on widgets.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_entry_select_on_focus() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_entry_select_on_focus() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_error_bell() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) |

When TRUE, keyboard navigation and other errors will cause a beep.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_error_bell() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) | const

When TRUE, keyboard navigation and other errors will cause a beep.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_file_chooser_backend() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) |

Name of the GtkFileChooser backend to use by default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_file_chooser_backend() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) | const

Name of the GtkFileChooser backend to use by default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_font_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) |

Name of default font to use.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_font_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) | const

Name of default font to use.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_fontconfig_timestamp() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) |

Timestamp of current fontconfig configuration.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_fontconfig_timestamp() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) | const

Timestamp of current fontconfig configuration.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_icon_sizes() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_sizes | ( |  | ) |

List of icon sizes: gtk-menu=16,16:gtk-button=20,20...

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_icon_sizes() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_sizes | ( |  | ) | const

List of icon sizes: gtk-menu=16,16:gtk-button=20,20...

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_icon_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) |

Name of icon theme to use.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_icon_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) | const

Name of icon theme to use.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_im_module() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) |

Which IM module should be used by default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_im_module() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) | const

Which IM module should be used by default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_key_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_key_theme_name | ( |  | ) |

Name of key theme RC file to load.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_key_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_key_theme_name | ( |  | ) | const

Name of key theme RC file to load.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_keynav_cursor_only() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) |

When TRUE, there are only cursor keys available to navigate widgets.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_keynav_cursor_only() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) | const

When TRUE, there are only cursor keys available to navigate widgets.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_keynav_wrap_around() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) |

Whether to wrap around when keyboard-navigating widgets.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_keynav_wrap_around() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) | const

Whether to wrap around when keyboard-navigating widgets.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_menu_bar_accel() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) |

Keybinding to activate the menu bar.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_menu_bar_accel() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) | const

Keybinding to activate the menu bar.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_modules() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_modules | ( |  | ) |

List of currently active GTK modules.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_modules() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_modules | ( |  | ) | const

List of currently active GTK modules.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_backends() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) |

List of the GtkPrintBackend backends to use by default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_backends() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) | const

List of the GtkPrintBackend backends to use by default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_preview_command() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) |

Command to run when displaying a print preview.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_preview_command() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) | const

Command to run when displaying a print preview.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_limit() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) |

Number of recently used files.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_limit() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) | const

Number of recently used files.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_max_age() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) |

Maximum age of recently used files, in days.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_max_age() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) | const

Maximum age of recently used files, in days.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_show_input_method_menu() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to change the input method.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_show_input_method_menu() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to change the input method.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_show_unicode_menu() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to insert control characters.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_show_unicode_menu() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to insert control characters.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_sound_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) |

XDG sound theme name.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_sound_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) | const

XDG sound theme name.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_split_cursor() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_split_cursor() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) | const

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Name of theme RC file to load.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) | const

Name of theme RC file to load.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_timeout_expand() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_expand | ( |  | ) |

Expand value for timeouts, when a widget is expanding a new region.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_timeout_expand() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_expand | ( |  | ) | const

Expand value for timeouts, when a widget is expanding a new region.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_timeout_initial() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_initial | ( |  | ) |

Starting value for timeouts, when button is pressed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_timeout_initial() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_initial | ( |  | ) | const

Starting value for timeouts, when button is pressed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_timeout_repeat() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) |

Repeat value for timeouts, when button is pressed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_timeout_repeat() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) | const

Repeat value for timeouts, when button is pressed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_toolbar_icon_size() [1/2]

Glib::PropertyProxy< IconSize > Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_toolbar_icon_size() [2/2]

Glib::PropertyProxy_ReadOnly< IconSize > Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_toolbar_style() [1/2]

Glib::PropertyProxy< ToolbarStyle > Gtk::Settings::property_gtk_toolbar_style | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_toolbar_style() [2/2]

Glib::PropertyProxy_ReadOnly< ToolbarStyle > Gtk::Settings::property_gtk_toolbar_style | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_tooltip_browse_mode_timeout() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) |

Timeout after which browse mode is disabled.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_tooltip_browse_mode_timeout() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) | const

Timeout after which browse mode is disabled.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_tooltip_browse_timeout() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) |

Timeout before tooltip is shown when browse mode is enabled.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_tooltip_browse_timeout() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) | const

Timeout before tooltip is shown when browse mode is enabled.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_tooltip_timeout() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) |

Timeout before tooltip is shown.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_tooltip_timeout() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) | const

Timeout before tooltip is shown.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_touchscreen_mode() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) |

When TRUE, there are no motion notify events delivered on this screen.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_touchscreen_mode() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) | const

When TRUE, there are no motion notify events delivered on this screen.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_antialias() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) |

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_antialias() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) | const

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_dpi() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) |

Resolution for Xft, in 1024 * dots/inch.

-1 to use default value.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_dpi() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) | const

Resolution for Xft, in 1024 * dots/inch.

-1 to use default value.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hinting() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) |

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hinting() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) | const

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hintstyle() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) |

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hintstyle() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) | const

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_rgba() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) |

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) | const

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::Settings > wrap | ( | GtkSettings * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/settings.h